Bug 1066637 - qemu-sanity-check doesn't work on armv7
Summary: qemu-sanity-check doesn't work on armv7
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: qemu-sanity-check
Version: 22
Hardware: arm
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Richard W.M. Jones
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: ARMTracker
TreeView+ depends on / blocked
 
Reported: 2014-02-18 18:49 UTC by Richard W.M. Jones
Modified: 2016-07-19 11:01 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-07-19 11:01:28 UTC


Attachments (Terms of Use)

Description Richard W.M. Jones 2014-02-18 18:49:07 UTC
Description of problem:

qemu-sanity-check --qemu=arm-softmmu/qemu-system-arm
/usr/bin/qemu-sanity-check: cannot find a Linux kernel in /boot
Choose a kernel to test using --kernel=/path/to/vmlinuz

As well as not being able to locate the kernel, it is likely
it needs to:

 - locate the right device tree (*.dtb)
 - pass the right machine type and so on

Basically similar changes to what we did to get supermin
working on armv7.

Version-Release number of selected component (if applicable):

qemu-sanity-check-nodeps-1.1.4-2.fc21.armv7hl

Comment 1 Jaroslav Reznik 2015-03-03 15:29:55 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 22 development cycle.
Changing version to '22'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora22

Comment 2 Fedora End Of Life 2016-07-19 11:01:28 UTC
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.